package agent

import (
	"net/http"

	"sim-server/app/main/api/internal/logic/agent"
	"sim-server/app/main/api/internal/svc"
	"sim-server/common/result"
)

func GetAgentDashboardHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := agent.NewGetAgentDashboardLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentDashboard()
		result.HttpResult(r, w, resp, err)
	}
}
